﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Win.UltraWinGrid;

namespace WG_CustomSummaryDialog
{
    public static class Extensions
    {
        public static SummarySettings GetSummary(this SummarySettingsCollection summaries,
            UltraGridColumn column, SummaryType sumType)
        {
            foreach (SummarySettings summary in summaries)
            {
                if (column == summary.SourceColumn && sumType == summary.SummaryType)
                    return summary;
            }

            return null;
        }
    }
}
