﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace WG_CustomSummaryDialog
{
    class MyCustomSummaryCalculator : ICustomSummaryCalculator
    {
        int retVal;

        public void AggregateCustomSummary(SummarySettings summarySettings, UltraGridRow row)
        {
            var value = row.Cells[summarySettings.SourceColumn].Value;
            if (value != null)
                retVal += value.ToString().Length;
        }

        public void BeginCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {
            retVal = 0;
        }

        public object EndCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {
            return retVal;
        }
    }
}
